API & Integration -> API Reference

Get a template

Each template in Creatomate is built using RenderScript, a JSON-based format. Think of it as the HTML source code, but for creating videos or images. In most cases, you won't need to work directly with RenderScript as it's auto-generated in the template editor.

However, in some situations, you might want to work with RenderScript directly. For example, when you need to perform operations beyond simple template modifications, but still want to use a template from your project as a foundation.

For these cases, you can use this API endpoint to retrieve the RenderScript from a template in your account.

API endpoint

This API endpoint accepts a template ID as a parameter and your project's API key:

curl -X GET https://api.creatomate.com/v2/templates/TEMPLATE_ID \
     -H "Authorization: Bearer YOUR_API_KEY_HERE"

If no template with the specified ID exists in your project, the API responds with 404 Not Found.

You can find the template ID by querying a list of all templates in your project. The template ID can also be obtained by copying the last part of the URL in the template editor:

Response

The API endpoint returns an object in the following format. The template's RenderScript is found in the source field:

{
  "id": "087d94b5-cef6-44b7-96d4-4c651beec61d",
  "name": "My Template",
  "tags": ["My", "Assigned", "Tags"],
  "created_at": "2026-01-01 12:00:00.000 +0200",
  "updated_at": "2026-01-01 12:00:00.000 +0200",
  "source": {}
}
When you retrieve a template, the order of keys within the source's JSON objects may differ from the order in which you saved them. The values are identical and array order is preserved. Only the ordering of keys within objects can change. This has no effect on rendering or modifications.